.style-switcher
{
position: fixed;
right: 0;
top: 60px;
padding: 15px;
width: 200px;
border: 1px solid var(--bg-black-50);
background: var(--bg-black-100);
z-index: 101;
border-radius: 5px;
transition: all 0.3s ease;
transform: translateX(100%);
margin-top: -40px;
}

.style-switcher.open{ /* change */
    transform: translateX(-25px);
}

.s-icon
{
position: absolute;
height: 40px;
width: 40px;
text-align: center;
font-size: 20px;
background: var(--bg-black-100);
color: var(--text-black-900);
right: 100%;
border: 1px solid var(--bg-black-50);
margin-right: 25px;
cursor: pointer;
transition: all 0.3s ease;
border-radius: 50%;
}



.s-icon i
{
line-height: 40px;
}

.style-switcher-toggler
{
top: 0;
}
.day-night
{
    top:55px;
}

.style-switcher h4
{
margin: 0 0 10px;
color: var(--text-black-700);
font-size: 16px;
font-weight: 600;
text-transform: capitalize;
}

.colors
{
display: flex;
flex-wrap: wrap;
justify-content: space-between;
}
.colors span
{
display: inline-block;
height: 30px;
width: 30px;
border-radius: 50%;
border: 1px solid red;
}

.style-switcher .color-1{
    background: #ec1839;
}

.style-switcher .color-2{
    background: #fa5b0f;
}

.style-switcher .color-3{
    background: #37b182;
}
.style-switcher .color-4{
    background: #1854b4;
}
.style-switcher .color-5{
    background: #e90aa6;
}
.style-switcher .color-6{
    background: #f28d00;
}